
def base_conversions():
    """
    Conversions entre types via les fonctions de base de python.

    """
    # Convertir une chaîne en valeur entière
    print(int("26"))
    print(float("36.5"))
    # Convertir une valeur en chaîne
    print(str(36.5))
    # Convertir une valeur complexe en chaîne
    print(str([1, 2, 3, 4, 5]))
    # Convertir un entier en valeur hexadécimale
    print(hex(571))

    # Conversions mathématiques
    print(round(2.5))
    print(round(2.45678, 1))
    print(round(2.45678, 2))

    # Les valeurs dites fausses
    print("Conversions booléennes qui renvoient faux")
    print(bool(None))
    print(bool(0))
    print(bool(""))
    print(bool(False))
    print(bool([]))

    # Les valeurs dites vraies (autres que les valeurs fausses)
    print("Conversions booléennes qui renvoient vrai")
    print(bool(1))  # nombre non nul
    print(bool(-1))  # nombre non nul
    print(bool("Bonjour"))  # chaîne non vide
    print(bool(True))
    print(bool([1, 3, 5, 7, 9]))  # liste non vide


if __name__ == "__main__":
    base_conversions()
